[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

[dak/master] Produce DEFERRED queue overviews again, closes: #843168



---
 config/debian/hourly.functions  |  2 +-
 config/homedir/ssh/usper-config | 15 +++++++++++++++
 dak/show_deferred.py            |  2 +-
 scripts/debian/deferredqueue    | 17 +++++++++++++++++
 4 files changed, 34 insertions(+), 2 deletions(-)
 create mode 100755 scripts/debian/deferredqueue

diff --git a/config/debian/hourly.functions b/config/debian/hourly.functions
index ca72972..f13b8b4 100644
--- a/config/debian/hourly.functions
+++ b/config/debian/hourly.functions
@@ -31,7 +31,7 @@ function queuereport() {
     do_report ${webdir}/backports-new.html "-n -d backports-new,backports-policy"
     dak queue-report -8 -d new,byhand,stable-new,oldstable-new,backports-new -r ${webdir}/stat
     log "Graphs about the queues"
-    dak graph -n new,byhand,stable-new,oldstable-new,backports-new -r ${webdir}/stat -i ${webdir}/stat -x ${scriptsdir}/rrd-release-freeze-dates
+    dak graph -n new,byhand,stable-new,oldstable-new,deferred,backports-new -r ${webdir}/stat -i ${webdir}/stat -x ${scriptsdir}/rrd-release-freeze-dates
 }
 
 function removalstxt() {
diff --git a/config/homedir/ssh/usper-config b/config/homedir/ssh/usper-config
index af2a983..d4f1fb8 100644
--- a/config/homedir/ssh/usper-config
+++ b/config/homedir/ssh/usper-config
@@ -17,3 +17,18 @@ Host queue-coccia
   Hostname coccia.debian.org
   User dak
   IdentityFile /srv/upload.debian.org/s3kr1t/sync_queuedirs
+
+Host defsync
+  Hostname fasolo.debian.org
+  User dak
+  IdentityFile /srv/upload.debian.org/s3kr1t/sync_defdir
+
+Host deffsync
+  Hostname fasolo.debian.org
+  User dak
+  IdentityFile /srv/upload.debian.org/s3kr1t/sync_deffile
+
+Host rrdsync
+  Hostname fasolo.debian.org
+  User dak
+  IdentityFile /srv/upload.debian.org/s3kr1t/sync_rrd
diff --git a/dak/show_deferred.py b/dak/show_deferred.py
index 2c88030..bc31636 100755
--- a/dak/show_deferred.py
+++ b/dak/show_deferred.py
@@ -94,7 +94,7 @@ def table_header():
         """
 
 def table_footer():
-    return '</table><br/><p>non-NEW uploads are <a href="/deferred/">available</a> (<a href="/deferred/status">machine readable version</a>), see the <a href="ftp://ftp-master.debian.org/pub/UploadQueue/README";>UploadQueue-README</a> for more information.</p></center><br/>\n'
+    return '</table><br/><p>non-NEW uploads are <a href="/deferred/">available</a> (<a href="/deferred/status">machine readable version</a>), see the <a href="ftp://ftp.upload.debian.org/pub/UploadQueue/README";>UploadQueue-README</a> for more information.</p></center><br/>\n'
 
 def table_row(changesname, delay, changed_by, closes, fingerprint):
     global row_number
diff --git a/scripts/debian/deferredqueue b/scripts/debian/deferredqueue
new file mode 100755
index 0000000..78147dd
--- /dev/null
+++ b/scripts/debian/deferredqueue
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+set -e
+set -u
+
+DEFDIR="/srv/ftp-master.debian.org/deferred"
+STATDIR="/srv/ftp-master.debian.org/stat"
+DEFFILE="/srv/ftp-master.debian.org/html/deferred.html"
+
+# First generate the deferred stuff
+dak show-deferred -r ${STATDIR} > ${DEFFILE}
+
+# Now send it over to fasolo
+# The files want to change from symlinks to files.
+rsync -a -L -e "ssh -F /srv/ftp-master.debian.org/dak/config/homedir/ssh/usper-config" ${DEFDIR}/.             defsync:/does/not/matter
+rsync -a    -e "ssh -F /srv/ftp-master.debian.org/dak/config/homedir/ssh/usper-config" ${DEFFILE}              deffsync:/does/not/matter
+rsync -a    -e "ssh -F /srv/ftp-master.debian.org/dak/config/homedir/ssh/usper-config" ${STATDIR}/deferred.rrd rrdsync:/does/not/matter
-- 
2.1.4


Reply to: